Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1111049 - "Invalid dmidecode output" alert upon Host approval
Summary: "Invalid dmidecode output" alert upon Host approval
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: ovirt-host-deploy
Classification: oVirt
Component: Plugins.VDSM
Version: 1.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ---
: 1.3.0
Assignee: Alon Bar-Lev
QA Contact: Jiri Belka
URL:
Whiteboard: infra
Depends On:
Blocks: 1109342 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-06-19 06:47 UTC by Alon Bar-Lev
Modified: 2018-12-06 16:56 UTC (History)
19 users (show)

Fixed In Version: ovirt-engine-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1109342
Environment:
Last Closed: 2015-02-11 18:13:30 UTC
oVirt Team: Infra
alonbl: devel_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0173 normal SHIPPED_LIVE ovirt-host-deploy bug fix and enhancement update 2015-02-11 23:09:26 UTC
oVirt gerrit 28615 None None None Never
oVirt gerrit 28716 None None None Never

Description Alon Bar-Lev 2014-06-19 06:47:01 UTC
This bug was not duplicated properly, was missing next release.

+++ This bug was initially created as a clone of Bug #1109342 +++

+++ This bug was initially created as a clone of Bug #1098333 +++

Description of problem:

When approving the registration of a new hypervisor via the RHEV Manager, an alert is produced :-
"Host installation in progress. Invalid dmidecode output"

This does not hinder the host approval in the Manager though.



Version-Release number of selected component (if applicable):
RHEV 3.3
RHEVH 20140407.0.el6

Additional info:

On newer firmware output from "dmidecode -s system-uuid" has changed and an alert is generated when approving a new hypervisor.

Older generation :-

[root@rlphyp02e admin]# dmidecode -s system-uuid
30313436-3631-584D-5133-30363030395A

Newer generation :-

[root@rurhyp09a admin]# dmidecode -s system-uuid
# SMBIOS implementations newer than version 2.7 are not
# fully supported by this version of dmidecode.
30313436-3631-5A43-4A33-343930444A59


Related to https://bugzilla.redhat.com/show_bug.cgi?id=1048207

--- Additional comment from RHEL Product and Program Management on 2014-05-15 16:52:46 EDT ---

Since this bug report was entered in bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

--- Additional comment from Paul Dwyer on 2014-05-29 04:38:07 EDT ---

I see there is already an EUS errata for dmidecode in RHEL6, https://bugzilla.redhat.com/show_bug.cgi?id=1067392

Is it possible to bring EUS errata fixes into next spin of RHEV-H for 3.3 which would resolve this issue?

--- Additional comment from Paul Dwyer on 2014-05-30 04:24:16 EDT ---

I have been doing further research and looks like the EUS errata for dmidecode is already in latest hypervisor release rhevh-6.5-20140520

Therefore I will ask customer to test this and confirm it is resolved.

--- Additional comment from Yaniv Bronhaim on 2014-06-10 04:50:47 EDT ---

can you please specify the output of "dmidecode --version" for the one with the new output style?

--- Additional comment from Alon Bar-Lev on 2014-06-17 15:06:22 EDT ---

Hi Pavel,
Can you please ACK?
Thanks!

--- Additional comment from Alon Bar-Lev on 2014-06-18 05:22:05 EDT ---

Can some tell why robot does not set the rhevm-3.4.z flag?

--- Additional comment from errata-xmlrpc on 2014-06-18 07:06:16 EDT ---

Bug report changed to ON_QA status by Errata System.
A QE request has been submitted for advisory RHBA-2014:18053-01
https://errata.devel.redhat.com/advisory/18053

Comment 2 Jiri Belka 2014-09-16 08:47:01 UTC
ok, i haven't seen such issue with ovirt-host-deploy-1.3.0-0.0.2.master.el6ev.noarch

Comment 4 errata-xmlrpc 2015-02-11 18:13:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0173.html


Note You need to log in before you can comment on or make changes to this bug.